#ifndef INVERSEBINOMIALGRAPH_H
#define INVERSEBINOMIALGRAPH_H

#include <QChart>
#include <QChartView>

#include "SessionTrial.h"

class InverseBinomialGraph : public QChartView
{
    Q_OBJECT

public:
    explicit InverseBinomialGraph(QWidget *parent = nullptr);
    void updateGraph(const QVector<SessionTrial> &trials);

private:
    QChart *createInverseBinomialChart(const QVector<SessionTrial> &trials);
};

#endif // INVERSEBINOMIALGRAPH_H

